Page MenuHomePhabricator

Synchronize production branch with Phabricator's stable branch
Closed, DeclinedPublic

Description

I think the production branch from the Phabricator Sprint Extension should always be synchronized with the latest commit from Phabricator's stable branch. Currently the latest commit in the production branch is from 2 December.
We don't want to use the master branch from Phabricator because there are many in progress features, but it seems that the stable one is never synchronized with the Sprint Extension.
Currently every update comes with a big pain: figure out what is the latest synchronized commit from the Sprint Extension, use that specific commit from Phabricator. I think many users just want to have a stable version that they could update without checking out the commits.

Event Timeline

Ionutcp created this task.Feb 4 2016, 9:02 AM
Ionutcp raised the priority of this task from to Needs Triage.
Ionutcp updated the task description. (Show Details)
Ionutcp added a subscriber: Ionutcp.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptFeb 4 2016, 9:02 AM
urzds added a subscriber: urzds.Feb 9 2016, 3:16 PM
Christopher added a subscriber: Christopher.EditedMar 7 2016, 5:37 AM

The need to maintain and synchronize with upstream has been greatly reduced with the removal of sprint boards and the addition of the global points field. Thus, I am closing this task as "Declined".

Christopher closed this task as Declined.Mar 7 2016, 5:37 AM